Subject: bug#11524: ping on automake bug#11524

From: Stefano Lattarini <[email-masked]>
Date: Mon, 26 Nov 2012 12:25:54 +0100

On 11/26/2012 09:19 AM, Dagobert Michelsen wrote:
> Hi Stefano,
> 
> sorry fot the delay, I was away.
>
No problem.

> Am 22.11.2012 um 10:50 schrieb Stefano Lattarini <[email-masked]>:
>> On 11/21/2012 10:17 PM, Dagobert Michelsen wrote:
>>>
>>> I still get quite some failures:
>>>  http://buildfarm.opencsw.org/~dam/automake-1.12.5-test-suite.log
>>>
>>
>>> FAIL: t/amhello-binpkg
>>> ======================
>>>
>>> [SNIP]
>>>
>>> + make
>>> make  all-recursive
>>> Making all in src
>>> source='main.c' object='main.o' libtool=no \
>>> DEPDIR=.deps depmode=none /bin/bash ../depcomp \
>>> /opt/SUNWspro/bin/cc -DHAVE_CONFIG_H -I. -I..    -I/opt/csw/include  -xO3 -m32 -xarch=sparc -c main.c
>>> /opt/SUNWspro/bin/cc  -xO3 -m32 -xarch=sparc  -m32 -xarch=sparc -L/opt/csw/lib -o hello main.o
>>> ++ pwd
>>> + make DESTDIR=/home/dam/.../amhello-1.0/inst install
>>> Making install in src
>>> [SNIP]
>>> + cd inst
>>> + find . -type f -print
>>> ++ cat ../files.lst
>>> + tar cvf amhello-1.0-i686.tar.gz ./usr/bin/hello ./usr/share/doc/amhello/README
>>> ++ sed -n -e 's/^EXEEXT *= *//p'
>>> + EXEEXT=
>>> + tar --version
>>> + grep GNU
>>> + : Be laxer with other tar implementations, to avoid spurious failures.
>>> + /opt/csw/bin/ggrep -E '(^| )\./usr/bin/hello( |$)' tar.got
>>> + am_exit_trap 1
>>> + exit_status=1
>>
>> Could you please send us the content of these files?
>>
>>  t/amhello-binpkg.dir/amhello-1.0/files.lst
>>  t/amhello-binpkg.dir/amhello-1.0/inst/tar.got
> 
> 
> Sure, I just copied over the whole build directory, feel free to take a look:
>   http://buildfarm.opencsw.org/~dam/automake-1.12.5/
>
Thank you, this is really helpful.

Turns out this failure:
> FAIL: t/amhello-binpkg
is a spurious one, due to a tiny difference in the "tar cvf" output.  The
patch below should take care of it.  Can you confirm it does the trick?

Thanks,
  Stefano

---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ---- 8< ----

>From 993fd9f3f6ede8ef9c1cbb1fa91fa60b9ccf57d7 Mon Sep 17 00:00:00 2001
Message-Id: <993fd9f3f[email-masked]>
From: Stefano Lattarini <[email-masked]>
Date: Mon, 26 Nov 2012 12:22:51 +0100
Subject: [PATCH] tests: fix a spurious testsuite failure on Solaris

Reported in automake bug#11524.

* t/amhello-binpkg.sh: When non-GNU tar is in use, relax grepping of
"tar cvf ..." output a little more.

Signed-off-by: Stefano Lattarini <[email-masked]>
---
 t/amhello-binpkg.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/t/amhello-binpkg.sh b/t/amhello-binpkg.sh
index c1d2575..f6988ce 100755
--- a/t/amhello-binpkg.sh
+++ b/t/amhello-binpkg.sh
@@ -44,8 +44,8 @@ if tar --version </dev/null | grep GNU; then
 END
 else
   : Be laxer with other tar implementations, to avoid spurious failures.
-  $EGREP '(^| )\./usr/bin/hello'$EXEEXT'( |$)' tar.got
-  $EGREP '(^| )\./usr/share/doc/amhello/README( |$)' tar.got
+  $EGREP '(^| )(\./)?usr/bin/hello'$EXEEXT'( |$)' tar.got
+  $EGREP '(^| )(\./)?usr/share/doc/amhello/README( |$)' tar.got
 fi

 :
-- 
1.8.0.1.240.ge8a1f5a